com.fasterxml.jackson.module.blackbird.util

## Class Sneaky

- java.lang.Object
- - com.fasterxml.jackson.module.blackbird.util.Sneaky

-     public class Sneaky
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RuntimeException` | `throwAnyway(Throwable t)` Will always throw an exception, so the caller should also always throw the dummy return value to make sure the control flow remains clear.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### throwAnyway

          public static RuntimeException throwAnyway(Throwable t)

      Will always throw an exception, so the caller should also always throw the dummy return value to make sure the control flow remains clear.

Copyright © 2021 FasterXML. All rights reserved.